Summary:	Utilities for the Xfce Desktop Environment
Name:		xfce-utils
Version:	4.4.1
Release:	%mkrel 7
License:	GPL
URL:		http://www.xfce.org
Group:		Graphical desktop/Xfce
Source0:	%{name}-%{version}.tar.bz2
# An english native speaker should feel free to update this file :)
Source1:	Mandriva
Patch0:		%{name}-4.4.1-fix-typo-startxfce4.patch
#(tpg) please see bug 29095
Patch1:		%{name}-4.4.1-missing-icon-in-startup-script.patch
Patch2:		%{name}-4.4.1-xinitrc-cpp.patch
BuildRequires:	xfce-mcs-manager-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	chrpath
Requires:	xfce-mcs-manager
# for /usr/sbin/fndSession:
Requires:	desktop-common-data
Requires:	exo
Requires:	dbus-x11
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The utilities and scripts provides an about dialog for 
Xfce 4, an application launcher, and several useful 
scripts that are also used by other Xfce components such 
as the panel and the desktop menu.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure2_5x \
	--enable-gdm \
	--sysconfdir=%{_sysconfdir}/X11 \
	--with-vendor-info=Mandriva \
	--disable-static
	
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# use 06 as session numbering
mv %{buildroot}%{_sysconfdir}/X11/wmsession.d/10XFce4 \
    %{buildroot}%{_sysconfdir}/X11/wmsession.d/06XFce4

# remove gdm session file, use fndSession
rm %{buildroot}%{_sysconfdir}/X11/gdm/Sessions/XFce4
rm %{buildroot}%{_sysconfdir}/X11/dm/Sessions/xfce.desktop

# remove switchdesk file, not in mdk
rm %{buildroot}%{_datadir}/apps/switchdesk/Xclients.xfce4

# remove desktop file
rm %{buildroot}%{_datadir}/xsessions/xfce.desktop

chrpath -d %{buildroot}%{_bindir}/xfrun4
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/xfce4

%find_lang %{name}

%post
%make_session
%update_icon_cache hicolor

%postun
%make_session
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO COPYING AUTHORS
%dir %{_sysconfdir}/X11/xdg/xfce4
%dir %{_datadir}/xfce4
%config(noreplace) %{_sysconfdir}/X11/xdg/xfce4/xinitrc
%{_bindir}/*
%{_datadir}/xfce4/*
%{_datadir}/icons/*
%{_sysconfdir}/X11/wmsession.d/06XFce4


%changelog
* Mon Sep 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 92543
- add Scara
- add Dotan Kamberd
- fix "about" info, make it utf-8

* Tue Sep 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-6mdv2008.0
+ Revision: 89662
- requires dbus-x11

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-5mdv2008.0
+ Revision: 71412
- provide patch 2 (xinitrc with cpp)
- remove unneeded configure scripts
- update mandriva file

* Mon Jul 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 54512
- add missing icon to the startup script (closes bug #29095)

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 44285
- disable builing of static files rather than deleting them
- fix file list
- own proper configuration files
- set default browser and terminal
- add P0
- update description

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 31215
- use macros in %%post and %%postun
- add Mandriva file - information about vendor
- spec file clean

* Wed Apr 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14663
- New release 4.4.1


* Fri Jan 26 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.0-1mdv2007.0
+ Revision: 113679
- Fix dbus

  + plouf <plouf>
    - New release 4.4.0

* Fri Dec 29 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 102553
- Remove dbus file
- New release 4.3.99.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xfce-utils-4.3.90.2-1mdv2007.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Wed Apr 19 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246
- drop P2, 3, using exo-open now
- don't require libxfcegui4-plugins anymore

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- don't run libtoolize
- update filelist
- rediff P2
- P3, use www-browser as preferred browser

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove more unneeded devel files

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%{1}mdv2007.1
- requires desktop-common-data

* Sat Apr 30 2005 Marcel Pol <mpol@mandriva.org> 4.2.1-2mdk
- use xvt as default terminal
  use -e and -T for execute and title

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-3mdk
- P0, run taskbar by default

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- fix P1
- remove unneeded devel files

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Mon Dec 27 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- disable P1 for now, it breaks

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- rediff P0
- P1, disable compositor by default

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- drop P1

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-2mdk
- require libxfcegui4-plugins

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- rediff and integrate p0 and p1 for xinitrc script
- update filelist
- remove rpath from xfrun4

* Sat Oct 02 2004 Frederic Crozat <fcroza@mandrakesoft.com> 4.0.6-2mdk
- Patch1: don't touch background at startup

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5
- rm desktop files

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

 * Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

